

# Actions


The following actions are supported:
+  [CancelBatchJobExecution](API_CancelBatchJobExecution.md) 
+  [CreateApplication](API_CreateApplication.md) 
+  [CreateDataSetExportTask](API_CreateDataSetExportTask.md) 
+  [CreateDataSetImportTask](API_CreateDataSetImportTask.md) 
+  [CreateDeployment](API_CreateDeployment.md) 
+  [CreateEnvironment](API_CreateEnvironment.md) 
+  [DeleteApplication](API_DeleteApplication.md) 
+  [DeleteApplicationFromEnvironment](API_DeleteApplicationFromEnvironment.md) 
+  [DeleteEnvironment](API_DeleteEnvironment.md) 
+  [GetApplication](API_GetApplication.md) 
+  [GetApplicationVersion](API_GetApplicationVersion.md) 
+  [GetBatchJobExecution](API_GetBatchJobExecution.md) 
+  [GetDataSetDetails](API_GetDataSetDetails.md) 
+  [GetDataSetExportTask](API_GetDataSetExportTask.md) 
+  [GetDataSetImportTask](API_GetDataSetImportTask.md) 
+  [GetDeployment](API_GetDeployment.md) 
+  [GetEnvironment](API_GetEnvironment.md) 
+  [GetSignedBluinsightsUrl](API_GetSignedBluinsightsUrl.md) 
+  [ListApplications](API_ListApplications.md) 
+  [ListApplicationVersions](API_ListApplicationVersions.md) 
+  [ListBatchJobDefinitions](API_ListBatchJobDefinitions.md) 
+  [ListBatchJobExecutions](API_ListBatchJobExecutions.md) 
+  [ListBatchJobRestartPoints](API_ListBatchJobRestartPoints.md) 
+  [ListDataSetExportHistory](API_ListDataSetExportHistory.md) 
+  [ListDataSetImportHistory](API_ListDataSetImportHistory.md) 
+  [ListDataSets](API_ListDataSets.md) 
+  [ListDeployments](API_ListDeployments.md) 
+  [ListEngineVersions](API_ListEngineVersions.md) 
+  [ListEnvironments](API_ListEnvironments.md) 
+  [ListTagsForResource](API_ListTagsForResource.md) 
+  [StartApplication](API_StartApplication.md) 
+  [StartBatchJob](API_StartBatchJob.md) 
+  [StopApplication](API_StopApplication.md) 
+  [TagResource](API_TagResource.md) 
+  [UntagResource](API_UntagResource.md) 
+  [UpdateApplication](API_UpdateApplication.md) 
+  [UpdateEnvironment](API_UpdateEnvironment.md) 

# CancelBatchJobExecution


**Important**  
 AWS Mainframe Modernization Service (Managed Runtime Environment experience) will no longer be open to new customers starting on November 7, 2025. If you would like to use the service, please sign up prior to November 7, 2025. For capabilities similar to AWS Mainframe Modernization Service (Managed Runtime Environment experience) explore AWS Mainframe Modernization Service (Self-Managed Experience). Existing customers can continue to use the service as normal. For more information, see [AWS Mainframe Modernization availability change](https://docs.aws.amazon.com/m2/latest/userguide/mainframe-modernization-availability-change.html).

Cancels the running of a specific batch job execution.

## Request Syntax


```
POST /applications/applicationId/batch-job-executions/executionId/cancel HTTP/1.1
Content-type: application/json

{
   "authSecretsManagerArn": "string"
}
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [applicationId](#API_CancelBatchJobExecution_RequestSyntax) **   <a name="m2-CancelBatchJobExecution-request-uri-applicationId"></a>
The unique identifier of the application.  
Pattern: `\S{1,80}`   
Required: Yes

 ** [executionId](#API_CancelBatchJobExecution_RequestSyntax) **   <a name="m2-CancelBatchJobExecution-request-uri-executionId"></a>
The unique identifier of the batch job execution.  
Pattern: `\S{1,80}`   
Required: Yes

## Request Body


The request accepts the following data in JSON format.

 ** [authSecretsManagerArn](#API_CancelBatchJobExecution_RequestSyntax) **   <a name="m2-CancelBatchJobExecution-request-authSecretsManagerArn"></a>
The AWS Secrets Manager containing user's credentials for authentication and authorization for Cancel Batch Job Execution operation.  
Type: String  
Length Constraints: Minimum length of 20. Maximum length of 2048.  
Required: No

## Response Syntax


```
HTTP/1.1 200
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The account or role doesn't have the right permissions to make the request.  
HTTP Status Code: 403

 ** ConflictException **   
The parameters provided in the request conflict with existing resources.    
 ** resourceId **   
The ID of the conflicting resource.  
 ** resourceType **   
The type of the conflicting resource.
HTTP Status Code: 409

 ** InternalServerException **   
An unexpected error occurred during the processing of the request.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource was not found.    
 ** resourceId **   
The ID of the missing resource.  
 ** resourceType **   
The type of the missing resource.
HTTP Status Code: 404

 ** ThrottlingException **   
The number of requests made exceeds the limit.    
 ** quotaCode **   
The identifier of the throttled request.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.  
 ** serviceCode **   
The identifier of the service that the throttled request was made to.
HTTP Status Code: 429

 ** ValidationException **   
One or more parameters provided in the request is not valid.    
 ** fieldList **   
The list of fields that failed service validation.  
 ** reason **   
The reason why it failed service validation.
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/m2-2021-04-28/CancelBatchJobExecution) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/m2-2021-04-28/CancelBatchJobExecution) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/m2-2021-04-28/CancelBatchJobExecution) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/m2-2021-04-28/CancelBatchJobExecution) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/m2-2021-04-28/CancelBatchJobExecution) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/m2-2021-04-28/CancelBatchJobExecution) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/m2-2021-04-28/CancelBatchJobExecution) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/m2-2021-04-28/CancelBatchJobExecution) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/m2-2021-04-28/CancelBatchJobExecution) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/m2-2021-04-28/CancelBatchJobExecution) 

# CreateApplication


**Important**  
 AWS Mainframe Modernization Service (Managed Runtime Environment experience) will no longer be open to new customers starting on November 7, 2025. If you would like to use the service, please sign up prior to November 7, 2025. For capabilities similar to AWS Mainframe Modernization Service (Managed Runtime Environment experience) explore AWS Mainframe Modernization Service (Self-Managed Experience). Existing customers can continue to use the service as normal. For more information, see [AWS Mainframe Modernization availability change](https://docs.aws.amazon.com/m2/latest/userguide/mainframe-modernization-availability-change.html).

Creates a new application with given parameters. Requires an existing runtime environment and application definition file.

## Request Syntax


```
POST /applications HTTP/1.1
Content-type: application/json

{
   "clientToken": "string",
   "definition": { ... },
   "description": "string",
   "engineType": "string",
   "kmsKeyId": "string",
   "name": "string",
   "roleArn": "string",
   "tags": { 
      "string" : "string" 
   }
}
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request accepts the following data in JSON format.

 ** [clientToken](#API_CreateApplication_RequestSyntax) **   <a name="m2-CreateApplication-request-clientToken"></a>
A client token is a unique, case-sensitive string of up to 128 ASCII characters with ASCII values of 33-126 inclusive. It's generated by the client to ensure idempotent operations, allowing for safe retries without unintended side effects.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `[!-~]+`   
Required: No

 ** [definition](#API_CreateApplication_RequestSyntax) **   <a name="m2-CreateApplication-request-definition"></a>
The application definition for this application. You can specify either inline JSON or an S3 bucket location.  
Type: [Definition](API_Definition.md) object  
 **Note: **This object is a Union. Only one member of this object can be specified or returned.  
Required: Yes

 ** [description](#API_CreateApplication_RequestSyntax) **   <a name="m2-CreateApplication-request-description"></a>
The description of the application.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 500.  
Required: No

 ** [engineType](#API_CreateApplication_RequestSyntax) **   <a name="m2-CreateApplication-request-engineType"></a>
The type of the target platform for this application.  
Type: String  
Valid Values: `microfocus | bluage`   
Required: Yes

 ** [kmsKeyId](#API_CreateApplication_RequestSyntax) **   <a name="m2-CreateApplication-request-kmsKeyId"></a>
The identifier of a customer managed key.  
Type: String  
Required: No

 ** [name](#API_CreateApplication_RequestSyntax) **   <a name="m2-CreateApplication-request-name"></a>
The unique identifier of the application.  
Type: String  
Pattern: `[A-Za-z0-9][A-Za-z0-9_\-]{1,59}`   
Required: Yes

 ** [roleArn](#API_CreateApplication_RequestSyntax) **   <a name="m2-CreateApplication-request-roleArn"></a>
The Amazon Resource Name (ARN) that identifies a role that the application uses to access AWS resources that are not part of the application or are in a different AWS account.  
Type: String  
Pattern: `arn:(aws|aws-cn|aws-iso|aws-iso-[a-z]{1}|aws-us-gov):[A-Za-z0-9][A-Za-z0-9_/.-]{0,62}:([a-z]{2}-((iso[a-z]{0,1}-)|(gov-)){0,1}[a-z]+-[0-9]|):[0-9]{12}:[A-Za-z0-9/][A-Za-z0-9:_/+=,@.-]{0,1023}`   
Required: No

 ** [tags](#API_CreateApplication_RequestSyntax) **   <a name="m2-CreateApplication-request-tags"></a>
A list of tags to apply to the application.  
Type: String to string map  
Map Entries: Minimum number of 0 items. Maximum number of 200 items.  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Key Pattern: `(?!aws:).+`   
Value Length Constraints: Minimum length of 0. Maximum length of 256.  
Required: No

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "applicationArn": "string",
   "applicationId": "string",
   "applicationVersion": number
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [applicationArn](#API_CreateApplication_ResponseSyntax) **   <a name="m2-CreateApplication-response-applicationArn"></a>
The Amazon Resource Name (ARN) of the application.  
Type: String  
Pattern: `arn:(aws|aws-cn|aws-iso|aws-iso-[a-z]{1}|aws-us-gov):[A-Za-z0-9][A-Za-z0-9_/.-]{0,62}:([a-z]{2}-((iso[a-z]{0,1}-)|(gov-)){0,1}[a-z]+-[0-9]|):[0-9]{12}:[A-Za-z0-9/][A-Za-z0-9:_/+=,@.-]{0,1023}` 

 ** [applicationId](#API_CreateApplication_ResponseSyntax) **   <a name="m2-CreateApplication-response-applicationId"></a>
The unique application identifier.  
Type: String  
Pattern: `\S{1,80}` 

 ** [applicationVersion](#API_CreateApplication_ResponseSyntax) **   <a name="m2-CreateApplication-response-applicationVersion"></a>
The version number of the application.  
Type: Integer  
Valid Range: Minimum value of 1.

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The account or role doesn't have the right permissions to make the request.  
HTTP Status Code: 403

 ** ConflictException **   
The parameters provided in the request conflict with existing resources.    
 ** resourceId **   
The ID of the conflicting resource.  
 ** resourceType **   
The type of the conflicting resource.
HTTP Status Code: 409

 ** InternalServerException **   
An unexpected error occurred during the processing of the request.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.
HTTP Status Code: 500

 ** ServiceQuotaExceededException **   
 AWS Mainframe Modernization Service (Managed Runtime Environment experience) will no longer be open to new customers starting on November 7, 2025. If you would like to use the service, please sign up prior to November 7, 2025. For capabilities similar to AWS Mainframe Modernization Service (Managed Runtime Environment experience) explore AWS Mainframe Modernization Service (Self-Managed Experience). Existing customers can continue to use the service as normal. For more information, see [AWS Mainframe Modernization availability change](https://docs.aws.amazon.com/m2/latest/userguide/mainframe-modernization-availability-change.html).
One or more quotas for AWS Mainframe Modernization exceeds the limit.    
 ** quotaCode **   
The identifier of the exceeded quota.  
 ** resourceId **   
The ID of the resource that is exceeding the quota limit.  
 ** resourceType **   
The type of resource that is exceeding the quota limit for AWS Mainframe Modernization.  
 ** serviceCode **   
A code that identifies the service that the exceeded quota belongs to.
HTTP Status Code: 402

 ** ThrottlingException **   
The number of requests made exceeds the limit.    
 ** quotaCode **   
The identifier of the throttled request.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.  
 ** serviceCode **   
The identifier of the service that the throttled request was made to.
HTTP Status Code: 429

 ** ValidationException **   
One or more parameters provided in the request is not valid.    
 ** fieldList **   
The list of fields that failed service validation.  
 ** reason **   
The reason why it failed service validation.
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/m2-2021-04-28/CreateApplication) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/m2-2021-04-28/CreateApplication) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/m2-2021-04-28/CreateApplication) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/m2-2021-04-28/CreateApplication) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/m2-2021-04-28/CreateApplication) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/m2-2021-04-28/CreateApplication) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/m2-2021-04-28/CreateApplication) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/m2-2021-04-28/CreateApplication) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/m2-2021-04-28/CreateApplication) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/m2-2021-04-28/CreateApplication) 

# CreateDataSetExportTask


**Important**  
 AWS Mainframe Modernization Service (Managed Runtime Environment experience) will no longer be open to new customers starting on November 7, 2025. If you would like to use the service, please sign up prior to November 7, 2025. For capabilities similar to AWS Mainframe Modernization Service (Managed Runtime Environment experience) explore AWS Mainframe Modernization Service (Self-Managed Experience). Existing customers can continue to use the service as normal. For more information, see [AWS Mainframe Modernization availability change](https://docs.aws.amazon.com/m2/latest/userguide/mainframe-modernization-availability-change.html).

Starts a data set export task for a specific application.

## Request Syntax


```
POST /applications/applicationId/dataset-export-task HTTP/1.1
Content-type: application/json

{
   "clientToken": "string",
   "exportConfig": { ... },
   "kmsKeyId": "string"
}
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [applicationId](#API_CreateDataSetExportTask_RequestSyntax) **   <a name="m2-CreateDataSetExportTask-request-uri-applicationId"></a>
The unique identifier of the application for which you want to export data sets.  
Pattern: `\S{1,80}`   
Required: Yes

## Request Body


The request accepts the following data in JSON format.

 ** [clientToken](#API_CreateDataSetExportTask_RequestSyntax) **   <a name="m2-CreateDataSetExportTask-request-clientToken"></a>
Unique, case-sensitive identifier you provide to ensure the idempotency of the request to create a data set export. The service generates the clientToken when the API call is triggered. The token expires after one hour, so if you retry the API within this timeframe with the same clientToken, you will get the same response. The service also handles deleting the clientToken after it expires.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `[!-~]+`   
Required: No

 ** [exportConfig](#API_CreateDataSetExportTask_RequestSyntax) **   <a name="m2-CreateDataSetExportTask-request-exportConfig"></a>
The data set export task configuration.  
Type: [DataSetExportConfig](API_DataSetExportConfig.md) object  
 **Note: **This object is a Union. Only one member of this object can be specified or returned.  
Required: Yes

 ** [kmsKeyId](#API_CreateDataSetExportTask_RequestSyntax) **   <a name="m2-CreateDataSetExportTask-request-kmsKeyId"></a>
The identifier of a customer managed key.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9:/_-]+`   
Required: No

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "taskId": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [taskId](#API_CreateDataSetExportTask_ResponseSyntax) **   <a name="m2-CreateDataSetExportTask-response-taskId"></a>
The task identifier. This operation is asynchronous. Use this identifier with the [GetDataSetExportTask](API_GetDataSetExportTask.md) operation to obtain the status of this task.  
Type: String  
Pattern: `\S{1,80}` 

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The account or role doesn't have the right permissions to make the request.  
HTTP Status Code: 403

 ** ConflictException **   
The parameters provided in the request conflict with existing resources.    
 ** resourceId **   
The ID of the conflicting resource.  
 ** resourceType **   
The type of the conflicting resource.
HTTP Status Code: 409

 ** InternalServerException **   
An unexpected error occurred during the processing of the request.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource was not found.    
 ** resourceId **   
The ID of the missing resource.  
 ** resourceType **   
The type of the missing resource.
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
 AWS Mainframe Modernization Service (Managed Runtime Environment experience) will no longer be open to new customers starting on November 7, 2025. If you would like to use the service, please sign up prior to November 7, 2025. For capabilities similar to AWS Mainframe Modernization Service (Managed Runtime Environment experience) explore AWS Mainframe Modernization Service (Self-Managed Experience). Existing customers can continue to use the service as normal. For more information, see [AWS Mainframe Modernization availability change](https://docs.aws.amazon.com/m2/latest/userguide/mainframe-modernization-availability-change.html).
One or more quotas for AWS Mainframe Modernization exceeds the limit.    
 ** quotaCode **   
The identifier of the exceeded quota.  
 ** resourceId **   
The ID of the resource that is exceeding the quota limit.  
 ** resourceType **   
The type of resource that is exceeding the quota limit for AWS Mainframe Modernization.  
 ** serviceCode **   
A code that identifies the service that the exceeded quota belongs to.
HTTP Status Code: 402

 ** ThrottlingException **   
The number of requests made exceeds the limit.    
 ** quotaCode **   
The identifier of the throttled request.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.  
 ** serviceCode **   
The identifier of the service that the throttled request was made to.
HTTP Status Code: 429

 ** ValidationException **   
One or more parameters provided in the request is not valid.    
 ** fieldList **   
The list of fields that failed service validation.  
 ** reason **   
The reason why it failed service validation.
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/m2-2021-04-28/CreateDataSetExportTask) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/m2-2021-04-28/CreateDataSetExportTask) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/m2-2021-04-28/CreateDataSetExportTask) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/m2-2021-04-28/CreateDataSetExportTask) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/m2-2021-04-28/CreateDataSetExportTask) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/m2-2021-04-28/CreateDataSetExportTask) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/m2-2021-04-28/CreateDataSetExportTask) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/m2-2021-04-28/CreateDataSetExportTask) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/m2-2021-04-28/CreateDataSetExportTask) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/m2-2021-04-28/CreateDataSetExportTask) 

# CreateDataSetImportTask


**Important**  
 AWS Mainframe Modernization Service (Managed Runtime Environment experience) will no longer be open to new customers starting on November 7, 2025. If you would like to use the service, please sign up prior to November 7, 2025. For capabilities similar to AWS Mainframe Modernization Service (Managed Runtime Environment experience) explore AWS Mainframe Modernization Service (Self-Managed Experience). Existing customers can continue to use the service as normal. For more information, see [AWS Mainframe Modernization availability change](https://docs.aws.amazon.com/m2/latest/userguide/mainframe-modernization-availability-change.html).

Starts a data set import task for a specific application.

## Request Syntax


```
POST /applications/applicationId/dataset-import-task HTTP/1.1
Content-type: application/json

{
   "clientToken": "string",
   "importConfig": { ... }
}
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [applicationId](#API_CreateDataSetImportTask_RequestSyntax) **   <a name="m2-CreateDataSetImportTask-request-uri-applicationId"></a>
The unique identifier of the application for which you want to import data sets.  
Pattern: `\S{1,80}`   
Required: Yes

## Request Body


The request accepts the following data in JSON format.

 ** [clientToken](#API_CreateDataSetImportTask_RequestSyntax) **   <a name="m2-CreateDataSetImportTask-request-clientToken"></a>
 Unique, case-sensitive identifier you provide to ensure the idempotency of the request to create a data set import. The service generates the clientToken when the API call is triggered. The token expires after one hour, so if you retry the API within this timeframe with the same clientToken, you will get the same response. The service also handles deleting the clientToken after it expires.   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `[!-~]+`   
Required: No

 ** [importConfig](#API_CreateDataSetImportTask_RequestSyntax) **   <a name="m2-CreateDataSetImportTask-request-importConfig"></a>
The data set import task configuration.  
Type: [DataSetImportConfig](API_DataSetImportConfig.md) object  
 **Note: **This object is a Union. Only one member of this object can be specified or returned.  
Required: Yes

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "taskId": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [taskId](#API_CreateDataSetImportTask_ResponseSyntax) **   <a name="m2-CreateDataSetImportTask-response-taskId"></a>
The task identifier. This operation is asynchronous. Use this identifier with the [GetDataSetImportTask](API_GetDataSetImportTask.md) operation to obtain the status of this task.  
Type: String  
Pattern: `\S{1,80}` 

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The account or role doesn't have the right permissions to make the request.  
HTTP Status Code: 403

 ** ConflictException **   
The parameters provided in the request conflict with existing resources.    
 ** resourceId **   
The ID of the conflicting resource.  
 ** resourceType **   
The type of the conflicting resource.
HTTP Status Code: 409

 ** InternalServerException **   
An unexpected error occurred during the processing of the request.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource was not found.    
 ** resourceId **   
The ID of the missing resource.  
 ** resourceType **   
The type of the missing resource.
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
 AWS Mainframe Modernization Service (Managed Runtime Environment experience) will no longer be open to new customers starting on November 7, 2025. If you would like to use the service, please sign up prior to November 7, 2025. For capabilities similar to AWS Mainframe Modernization Service (Managed Runtime Environment experience) explore AWS Mainframe Modernization Service (Self-Managed Experience). Existing customers can continue to use the service as normal. For more information, see [AWS Mainframe Modernization availability change](https://docs.aws.amazon.com/m2/latest/userguide/mainframe-modernization-availability-change.html).
One or more quotas for AWS Mainframe Modernization exceeds the limit.    
 ** quotaCode **   
The identifier of the exceeded quota.  
 ** resourceId **   
The ID of the resource that is exceeding the quota limit.  
 ** resourceType **   
The type of resource that is exceeding the quota limit for AWS Mainframe Modernization.  
 ** serviceCode **   
A code that identifies the service that the exceeded quota belongs to.
HTTP Status Code: 402

 ** ThrottlingException **   
The number of requests made exceeds the limit.    
 ** quotaCode **   
The identifier of the throttled request.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.  
 ** serviceCode **   
The identifier of the service that the throttled request was made to.
HTTP Status Code: 429

 ** ValidationException **   
One or more parameters provided in the request is not valid.    
 ** fieldList **   
The list of fields that failed service validation.  
 ** reason **   
The reason why it failed service validation.
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/m2-2021-04-28/CreateDataSetImportTask) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/m2-2021-04-28/CreateDataSetImportTask) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/m2-2021-04-28/CreateDataSetImportTask) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/m2-2021-04-28/CreateDataSetImportTask) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/m2-2021-04-28/CreateDataSetImportTask) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/m2-2021-04-28/CreateDataSetImportTask) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/m2-2021-04-28/CreateDataSetImportTask) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/m2-2021-04-28/CreateDataSetImportTask) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/m2-2021-04-28/CreateDataSetImportTask) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/m2-2021-04-28/CreateDataSetImportTask) 

# CreateDeployment


**Important**  
 AWS Mainframe Modernization Service (Managed Runtime Environment experience) will no longer be open to new customers starting on November 7, 2025. If you would like to use the service, please sign up prior to November 7, 2025. For capabilities similar to AWS Mainframe Modernization Service (Managed Runtime Environment experience) explore AWS Mainframe Modernization Service (Self-Managed Experience). Existing customers can continue to use the service as normal. For more information, see [AWS Mainframe Modernization availability change](https://docs.aws.amazon.com/m2/latest/userguide/mainframe-modernization-availability-change.html).

Creates and starts a deployment to deploy an application into a runtime environment.

## Request Syntax


```
POST /applications/applicationId/deployments HTTP/1.1
Content-type: application/json

{
   "applicationVersion": number,
   "clientToken": "string",
   "environmentId": "string"
}
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [applicationId](#API_CreateDeployment_RequestSyntax) **   <a name="m2-CreateDeployment-request-uri-applicationId"></a>
The application identifier.  
Pattern: `\S{1,80}`   
Required: Yes

## Request Body


The request accepts the following data in JSON format.

 ** [applicationVersion](#API_CreateDeployment_RequestSyntax) **   <a name="m2-CreateDeployment-request-applicationVersion"></a>
The version of the application to deploy.  
Type: Integer  
Valid Range: Minimum value of 1.  
Required: Yes

 ** [clientToken](#API_CreateDeployment_RequestSyntax) **   <a name="m2-CreateDeployment-request-clientToken"></a>
Unique, case-sensitive identifier you provide to ensure the idempotency of the request to create a deployment. The service generates the clientToken when the API call is triggered. The token expires after one hour, so if you retry the API within this timeframe with the same clientToken, you will get the same response. The service also handles deleting the clientToken after it expires.   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `[!-~]+`   
Required: No

 ** [environmentId](#API_CreateDeployment_RequestSyntax) **   <a name="m2-CreateDeployment-request-environmentId"></a>
The identifier of the runtime environment where you want to deploy this application.  
Type: String  
Pattern: `\S{1,80}`   
Required: Yes

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "deploymentId": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [deploymentId](#API_CreateDeployment_ResponseSyntax) **   <a name="m2-CreateDeployment-response-deploymentId"></a>
The unique identifier of the deployment.  
Type: String  
Pattern: `\S{1,80}` 

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The account or role doesn't have the right permissions to make the request.  
HTTP Status Code: 403

 ** ConflictException **   
The parameters provided in the request conflict with existing resources.    
 ** resourceId **   
The ID of the conflicting resource.  
 ** resourceType **   
The type of the conflicting resource.
HTTP Status Code: 409

 ** InternalServerException **   
An unexpected error occurred during the processing of the request.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource was not found.    
 ** resourceId **   
The ID of the missing resource.  
 ** resourceType **   
The type of the missing resource.
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
 AWS Mainframe Modernization Service (Managed Runtime Environment experience) will no longer be open to new customers starting on November 7, 2025. If you would like to use the service, please sign up prior to November 7, 2025. For capabilities similar to AWS Mainframe Modernization Service (Managed Runtime Environment experience) explore AWS Mainframe Modernization Service (Self-Managed Experience). Existing customers can continue to use the service as normal. For more information, see [AWS Mainframe Modernization availability change](https://docs.aws.amazon.com/m2/latest/userguide/mainframe-modernization-availability-change.html).
One or more quotas for AWS Mainframe Modernization exceeds the limit.    
 ** quotaCode **   
The identifier of the exceeded quota.  
 ** resourceId **   
The ID of the resource that is exceeding the quota limit.  
 ** resourceType **   
The type of resource that is exceeding the quota limit for AWS Mainframe Modernization.  
 ** serviceCode **   
A code that identifies the service that the exceeded quota belongs to.
HTTP Status Code: 402

 ** ThrottlingException **   
The number of requests made exceeds the limit.    
 ** quotaCode **   
The identifier of the throttled request.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.  
 ** serviceCode **   
The identifier of the service that the throttled request was made to.
HTTP Status Code: 429

 ** ValidationException **   
One or more parameters provided in the request is not valid.    
 ** fieldList **   
The list of fields that failed service validation.  
 ** reason **   
The reason why it failed service validation.
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/m2-2021-04-28/CreateDeployment) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/m2-2021-04-28/CreateDeployment) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/m2-2021-04-28/CreateDeployment) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/m2-2021-04-28/CreateDeployment) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/m2-2021-04-28/CreateDeployment) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/m2-2021-04-28/CreateDeployment) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/m2-2021-04-28/CreateDeployment) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/m2-2021-04-28/CreateDeployment) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/m2-2021-04-28/CreateDeployment) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/m2-2021-04-28/CreateDeployment) 

# CreateEnvironment


**Important**  
 AWS Mainframe Modernization Service (Managed Runtime Environment experience) will no longer be open to new customers starting on November 7, 2025. If you would like to use the service, please sign up prior to November 7, 2025. For capabilities similar to AWS Mainframe Modernization Service (Managed Runtime Environment experience) explore AWS Mainframe Modernization Service (Self-Managed Experience). Existing customers can continue to use the service as normal. For more information, see [AWS Mainframe Modernization availability change](https://docs.aws.amazon.com/m2/latest/userguide/mainframe-modernization-availability-change.html).

Creates a runtime environment for a given runtime engine.

## Request Syntax


```
POST /environments HTTP/1.1
Content-type: application/json

{
   "clientToken": "string",
   "description": "string",
   "engineType": "string",
   "engineVersion": "string",
   "highAvailabilityConfig": { 
      "desiredCapacity": number
   },
   "instanceType": "string",
   "kmsKeyId": "string",
   "name": "string",
   "networkType": "string",
   "preferredMaintenanceWindow": "string",
   "publiclyAccessible": boolean,
   "securityGroupIds": [ "string" ],
   "storageConfigurations": [ 
      { ... }
   ],
   "subnetIds": [ "string" ],
   "tags": { 
      "string" : "string" 
   }
}
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request accepts the following data in JSON format.

 ** [clientToken](#API_CreateEnvironment_RequestSyntax) **   <a name="m2-CreateEnvironment-request-clientToken"></a>
Unique, case-sensitive identifier you provide to ensure the idempotency of the request to create an environment. The service generates the clientToken when the API call is triggered. The token expires after one hour, so if you retry the API within this timeframe with the same clientToken, you will get the same response. The service also handles deleting the clientToken after it expires.   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `[!-~]+`   
Required: No

 ** [description](#API_CreateEnvironment_RequestSyntax) **   <a name="m2-CreateEnvironment-request-description"></a>
The description of the runtime environment.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 500.  
Required: No

 ** [engineType](#API_CreateEnvironment_RequestSyntax) **   <a name="m2-CreateEnvironment-request-engineType"></a>
The engine type for the runtime environment.  
Type: String  
Valid Values: `microfocus | bluage`   
Required: Yes

 ** [engineVersion](#API_CreateEnvironment_RequestSyntax) **   <a name="m2-CreateEnvironment-request-engineVersion"></a>
The version of the engine type for the runtime environment.  
Type: String  
Pattern: `\S{1,10}`   
Required: No

 ** [highAvailabilityConfig](#API_CreateEnvironment_RequestSyntax) **   <a name="m2-CreateEnvironment-request-highAvailabilityConfig"></a>
The details of a high availability configuration for this runtime environment.  
Type: [HighAvailabilityConfig](API_HighAvailabilityConfig.md) object  
Required: No

 ** [instanceType](#API_CreateEnvironment_RequestSyntax) **   <a name="m2-CreateEnvironment-request-instanceType"></a>
The type of instance for the runtime environment.  
Type: String  
Pattern: `\S{1,20}`   
Required: Yes

 ** [kmsKeyId](#API_CreateEnvironment_RequestSyntax) **   <a name="m2-CreateEnvironment-request-kmsKeyId"></a>
The identifier of a customer managed key.  
Type: String  
Required: No

 ** [name](#API_CreateEnvironment_RequestSyntax) **   <a name="m2-CreateEnvironment-request-name"></a>
The name of the runtime environment. Must be unique within the account.  
Type: String  
Pattern: `[A-Za-z0-9][A-Za-z0-9_\-]{1,59}`   
Required: Yes

 ** [networkType](#API_CreateEnvironment_RequestSyntax) **   <a name="m2-CreateEnvironment-request-networkType"></a>
The network type required for the runtime environment.  
Type: String  
Valid Values: `ipv4 | dual`   
Required: No

 ** [preferredMaintenanceWindow](#API_CreateEnvironment_RequestSyntax) **   <a name="m2-CreateEnvironment-request-preferredMaintenanceWindow"></a>
Configures the maintenance window that you want for the runtime environment. The maintenance window must have the format `ddd:hh24:mi-ddd:hh24:mi` and must be less than 24 hours. The following two examples are valid maintenance windows: `sun:23:45-mon:00:15` or `sat:01:00-sat:03:00`.   
If you do not provide a value, a random system-generated value will be assigned.  
Type: String  
Pattern: `\S{1,50}`   
Required: No

 ** [publiclyAccessible](#API_CreateEnvironment_RequestSyntax) **   <a name="m2-CreateEnvironment-request-publiclyAccessible"></a>
Specifies whether the runtime environment is publicly accessible.  
Type: Boolean  
Required: No

 ** [securityGroupIds](#API_CreateEnvironment_RequestSyntax) **   <a name="m2-CreateEnvironment-request-securityGroupIds"></a>
The list of security groups for the VPC associated with this runtime environment.  
Type: Array of strings  
Pattern: `\S{1,50}`   
Required: No

 ** [storageConfigurations](#API_CreateEnvironment_RequestSyntax) **   <a name="m2-CreateEnvironment-request-storageConfigurations"></a>
Optional. The storage configurations for this runtime environment.  
Type: Array of [StorageConfiguration](API_StorageConfiguration.md) objects  
Required: No

 ** [subnetIds](#API_CreateEnvironment_RequestSyntax) **   <a name="m2-CreateEnvironment-request-subnetIds"></a>
The list of subnets associated with the VPC for this runtime environment.  
Type: Array of strings  
Pattern: `\S{1,50}`   
Required: No

 ** [tags](#API_CreateEnvironment_RequestSyntax) **   <a name="m2-CreateEnvironment-request-tags"></a>
The tags for the runtime environment.  
Type: String to string map  
Map Entries: Minimum number of 0 items. Maximum number of 200 items.  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Key Pattern: `(?!aws:).+`   
Value Length Constraints: Minimum length of 0. Maximum length of 256.  
Required: No

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "environmentId": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [environmentId](#API_CreateEnvironment_ResponseSyntax) **   <a name="m2-CreateEnvironment-response-environmentId"></a>
The unique identifier of the runtime environment.  
Type: String  
Pattern: `\S{1,80}` 

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The account or role doesn't have the right permissions to make the request.  
HTTP Status Code: 403

 ** ConflictException **   
The parameters provided in the request conflict with existing resources.    
 ** resourceId **   
The ID of the conflicting resource.  
 ** resourceType **   
The type of the conflicting resource.
HTTP Status Code: 409

 ** InternalServerException **   
An unexpected error occurred during the processing of the request.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.
HTTP Status Code: 500

 ** ServiceQuotaExceededException **   
 AWS Mainframe Modernization Service (Managed Runtime Environment experience) will no longer be open to new customers starting on November 7, 2025. If you would like to use the service, please sign up prior to November 7, 2025. For capabilities similar to AWS Mainframe Modernization Service (Managed Runtime Environment experience) explore AWS Mainframe Modernization Service (Self-Managed Experience). Existing customers can continue to use the service as normal. For more information, see [AWS Mainframe Modernization availability change](https://docs.aws.amazon.com/m2/latest/userguide/mainframe-modernization-availability-change.html).
One or more quotas for AWS Mainframe Modernization exceeds the limit.    
 ** quotaCode **   
The identifier of the exceeded quota.  
 ** resourceId **   
The ID of the resource that is exceeding the quota limit.  
 ** resourceType **   
The type of resource that is exceeding the quota limit for AWS Mainframe Modernization.  
 ** serviceCode **   
A code that identifies the service that the exceeded quota belongs to.
HTTP Status Code: 402

 ** ThrottlingException **   
The number of requests made exceeds the limit.    
 ** quotaCode **   
The identifier of the throttled request.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.  
 ** serviceCode **   
The identifier of the service that the throttled request was made to.
HTTP Status Code: 429

 ** ValidationException **   
One or more parameters provided in the request is not valid.    
 ** fieldList **   
The list of fields that failed service validation.  
 ** reason **   
The reason why it failed service validation.
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/m2-2021-04-28/CreateEnvironment) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/m2-2021-04-28/CreateEnvironment) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/m2-2021-04-28/CreateEnvironment) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/m2-2021-04-28/CreateEnvironment) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/m2-2021-04-28/CreateEnvironment) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/m2-2021-04-28/CreateEnvironment) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/m2-2021-04-28/CreateEnvironment) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/m2-2021-04-28/CreateEnvironment) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/m2-2021-04-28/CreateEnvironment) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/m2-2021-04-28/CreateEnvironment) 

# DeleteApplication


**Important**  
 AWS Mainframe Modernization Service (Managed Runtime Environment experience) will no longer be open to new customers starting on November 7, 2025. If you would like to use the service, please sign up prior to November 7, 2025. For capabilities similar to AWS Mainframe Modernization Service (Managed Runtime Environment experience) explore AWS Mainframe Modernization Service (Self-Managed Experience). Existing customers can continue to use the service as normal. For more information, see [AWS Mainframe Modernization availability change](https://docs.aws.amazon.com/m2/latest/userguide/mainframe-modernization-availability-change.html).

Deletes a specific application. You cannot delete a running application.

## Request Syntax


```
DELETE /applications/applicationId HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [applicationId](#API_DeleteApplication_RequestSyntax) **   <a name="m2-DeleteApplication-request-uri-applicationId"></a>
The unique identifier of the application you want to delete.  
Pattern: `\S{1,80}`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The account or role doesn't have the right permissions to make the request.  
HTTP Status Code: 403

 ** ConflictException **   
The parameters provided in the request conflict with existing resources.    
 ** resourceId **   
The ID of the conflicting resource.  
 ** resourceType **   
The type of the conflicting resource.
HTTP Status Code: 409

 ** InternalServerException **   
An unexpected error occurred during the processing of the request.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.
HTTP Status Code: 500

 ** ThrottlingException **   
The number of requests made exceeds the limit.    
 ** quotaCode **   
The identifier of the throttled request.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.  
 ** serviceCode **   
The identifier of the service that the throttled request was made to.
HTTP Status Code: 429

 ** ValidationException **   
One or more parameters provided in the request is not valid.    
 ** fieldList **   
The list of fields that failed service validation.  
 ** reason **   
The reason why it failed service validation.
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/m2-2021-04-28/DeleteApplication) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/m2-2021-04-28/DeleteApplication) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/m2-2021-04-28/DeleteApplication) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/m2-2021-04-28/DeleteApplication) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/m2-2021-04-28/DeleteApplication) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/m2-2021-04-28/DeleteApplication) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/m2-2021-04-28/DeleteApplication) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/m2-2021-04-28/DeleteApplication) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/m2-2021-04-28/DeleteApplication) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/m2-2021-04-28/DeleteApplication) 

# DeleteApplicationFromEnvironment


**Important**  
 AWS Mainframe Modernization Service (Managed Runtime Environment experience) will no longer be open to new customers starting on November 7, 2025. If you would like to use the service, please sign up prior to November 7, 2025. For capabilities similar to AWS Mainframe Modernization Service (Managed Runtime Environment experience) explore AWS Mainframe Modernization Service (Self-Managed Experience). Existing customers can continue to use the service as normal. For more information, see [AWS Mainframe Modernization availability change](https://docs.aws.amazon.com/m2/latest/userguide/mainframe-modernization-availability-change.html).

Deletes a specific application from the specific runtime environment where it was previously deployed. You cannot delete a runtime environment using DeleteEnvironment if any application has ever been deployed to it. This API removes the association of the application with the runtime environment so you can delete the environment smoothly.

## Request Syntax


```
DELETE /applications/applicationId/environment/environmentId HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [applicationId](#API_DeleteApplicationFromEnvironment_RequestSyntax) **   <a name="m2-DeleteApplicationFromEnvironment-request-uri-applicationId"></a>
The unique identifier of the application you want to delete.  
Pattern: `\S{1,80}`   
Required: Yes

 ** [environmentId](#API_DeleteApplicationFromEnvironment_RequestSyntax) **   <a name="m2-DeleteApplicationFromEnvironment-request-uri-environmentId"></a>
The unique identifier of the runtime environment where the application was previously deployed.  
Pattern: `\S{1,80}`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The account or role doesn't have the right permissions to make the request.  
HTTP Status Code: 403

 ** ConflictException **   
The parameters provided in the request conflict with existing resources.    
 ** resourceId **   
The ID of the conflicting resource.  
 ** resourceType **   
The type of the conflicting resource.
HTTP Status Code: 409

 ** InternalServerException **   
An unexpected error occurred during the processing of the request.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource was not found.    
 ** resourceId **   
The ID of the missing resource.  
 ** resourceType **   
The type of the missing resource.
HTTP Status Code: 404

 ** ThrottlingException **   
The number of requests made exceeds the limit.    
 ** quotaCode **   
The identifier of the throttled request.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.  
 ** serviceCode **   
The identifier of the service that the throttled request was made to.
HTTP Status Code: 429

 ** ValidationException **   
One or more parameters provided in the request is not valid.    
 ** fieldList **   
The list of fields that failed service validation.  
 ** reason **   
The reason why it failed service validation.
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/m2-2021-04-28/DeleteApplicationFromEnvironment) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/m2-2021-04-28/DeleteApplicationFromEnvironment) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/m2-2021-04-28/DeleteApplicationFromEnvironment) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/m2-2021-04-28/DeleteApplicationFromEnvironment) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/m2-2021-04-28/DeleteApplicationFromEnvironment) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/m2-2021-04-28/DeleteApplicationFromEnvironment) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/m2-2021-04-28/DeleteApplicationFromEnvironment) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/m2-2021-04-28/DeleteApplicationFromEnvironment) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/m2-2021-04-28/DeleteApplicationFromEnvironment) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/m2-2021-04-28/DeleteApplicationFromEnvironment) 

# DeleteEnvironment


**Important**  
 AWS Mainframe Modernization Service (Managed Runtime Environment experience) will no longer be open to new customers starting on November 7, 2025. If you would like to use the service, please sign up prior to November 7, 2025. For capabilities similar to AWS Mainframe Modernization Service (Managed Runtime Environment experience) explore AWS Mainframe Modernization Service (Self-Managed Experience). Existing customers can continue to use the service as normal. For more information, see [AWS Mainframe Modernization availability change](https://docs.aws.amazon.com/m2/latest/userguide/mainframe-modernization-availability-change.html).

Deletes a specific runtime environment. The environment cannot contain deployed applications. If it does, you must delete those applications before you delete the environment.

## Request Syntax


```
DELETE /environments/environmentId HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [environmentId](#API_DeleteEnvironment_RequestSyntax) **   <a name="m2-DeleteEnvironment-request-uri-environmentId"></a>
The unique identifier of the runtime environment you want to delete.  
Pattern: `\S{1,80}`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The account or role doesn't have the right permissions to make the request.  
HTTP Status Code: 403

 ** ConflictException **   
The parameters provided in the request conflict with existing resources.    
 ** resourceId **   
The ID of the conflicting resource.  
 ** resourceType **   
The type of the conflicting resource.
HTTP Status Code: 409

 ** InternalServerException **   
An unexpected error occurred during the processing of the request.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.
HTTP Status Code: 500

 ** ThrottlingException **   
The number of requests made exceeds the limit.    
 ** quotaCode **   
The identifier of the throttled request.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.  
 ** serviceCode **   
The identifier of the service that the throttled request was made to.
HTTP Status Code: 429

 ** ValidationException **   
One or more parameters provided in the request is not valid.    
 ** fieldList **   
The list of fields that failed service validation.  
 ** reason **   
The reason why it failed service validation.
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/m2-2021-04-28/DeleteEnvironment) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/m2-2021-04-28/DeleteEnvironment) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/m2-2021-04-28/DeleteEnvironment) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/m2-2021-04-28/DeleteEnvironment) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/m2-2021-04-28/DeleteEnvironment) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/m2-2021-04-28/DeleteEnvironment) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/m2-2021-04-28/DeleteEnvironment) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/m2-2021-04-28/DeleteEnvironment) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/m2-2021-04-28/DeleteEnvironment) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/m2-2021-04-28/DeleteEnvironment) 

# GetApplication


**Important**  
 AWS Mainframe Modernization Service (Managed Runtime Environment experience) will no longer be open to new customers starting on November 7, 2025. If you would like to use the service, please sign up prior to November 7, 2025. For capabilities similar to AWS Mainframe Modernization Service (Managed Runtime Environment experience) explore AWS Mainframe Modernization Service (Self-Managed Experience). Existing customers can continue to use the service as normal. For more information, see [AWS Mainframe Modernization availability change](https://docs.aws.amazon.com/m2/latest/userguide/mainframe-modernization-availability-change.html).

Describes the details of a specific application.

## Request Syntax


```
GET /applications/applicationId HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [applicationId](#API_GetApplication_RequestSyntax) **   <a name="m2-GetApplication-request-uri-applicationId"></a>
The identifier of the application.  
Pattern: `\S{1,80}`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "applicationArn": "string",
   "applicationId": "string",
   "creationTime": number,
   "deployedVersion": { 
      "applicationVersion": number,
      "status": "string",
      "statusReason": "string"
   },
   "description": "string",
   "engineType": "string",
   "environmentId": "string",
   "kmsKeyId": "string",
   "lastStartTime": number,
   "latestVersion": { 
      "applicationVersion": number,
      "creationTime": number,
      "status": "string",
      "statusReason": "string"
   },
   "listenerArns": [ "string" ],
   "listenerPorts": [ number ],
   "loadBalancerDnsName": "string",
   "logGroups": [ 
      { 
         "logGroupName": "string",
         "logType": "string"
      }
   ],
   "name": "string",
   "roleArn": "string",
   "status": "string",
   "statusReason": "string",
   "tags": { 
      "string" : "string" 
   },
   "targetGroupArns": [ "string" ]
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [applicationArn](#API_GetApplication_ResponseSyntax) **   <a name="m2-GetApplication-response-applicationArn"></a>
The Amazon Resource Name (ARN) of the application.  
Type: String  
Pattern: `arn:(aws|aws-cn|aws-iso|aws-iso-[a-z]{1}|aws-us-gov):[A-Za-z0-9][A-Za-z0-9_/.-]{0,62}:([a-z]{2}-((iso[a-z]{0,1}-)|(gov-)){0,1}[a-z]+-[0-9]|):[0-9]{12}:[A-Za-z0-9/][A-Za-z0-9:_/+=,@.-]{0,1023}` 

 ** [applicationId](#API_GetApplication_ResponseSyntax) **   <a name="m2-GetApplication-response-applicationId"></a>
The identifier of the application.  
Type: String  
Pattern: `\S{1,80}` 

 ** [creationTime](#API_GetApplication_ResponseSyntax) **   <a name="m2-GetApplication-response-creationTime"></a>
The timestamp when this application was created.  
Type: Timestamp

 ** [deployedVersion](#API_GetApplication_ResponseSyntax) **   <a name="m2-GetApplication-response-deployedVersion"></a>
The version of the application that is deployed.  
Type: [DeployedVersionSummary](API_DeployedVersionSummary.md) object

 ** [description](#API_GetApplication_ResponseSyntax) **   <a name="m2-GetApplication-response-description"></a>
The description of the application.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 500.

 ** [engineType](#API_GetApplication_ResponseSyntax) **   <a name="m2-GetApplication-response-engineType"></a>
The type of the target platform for the application.  
Type: String  
Valid Values: `microfocus | bluage` 

 ** [environmentId](#API_GetApplication_ResponseSyntax) **   <a name="m2-GetApplication-response-environmentId"></a>
The identifier of the runtime environment where you want to deploy the application.  
Type: String  
Pattern: `\S{1,80}` 

 ** [kmsKeyId](#API_GetApplication_ResponseSyntax) **   <a name="m2-GetApplication-response-kmsKeyId"></a>
The identifier of a customer managed key.  
Type: String

 ** [lastStartTime](#API_GetApplication_ResponseSyntax) **   <a name="m2-GetApplication-response-lastStartTime"></a>
The timestamp when you last started the application. Null until the application runs for the first time.  
Type: Timestamp

 ** [latestVersion](#API_GetApplication_ResponseSyntax) **   <a name="m2-GetApplication-response-latestVersion"></a>
The latest version of the application.  
Type: [ApplicationVersionSummary](API_ApplicationVersionSummary.md) object

 ** [listenerArns](#API_GetApplication_ResponseSyntax) **   <a name="m2-GetApplication-response-listenerArns"></a>
The Amazon Resource Name (ARN) for the network load balancer listener created in your AWS account. AWS Mainframe Modernization creates this listener for you the first time you deploy an application.  
Type: Array of strings  
Array Members: Minimum number of 1 item.  
Pattern: `arn:(aws|aws-cn|aws-iso|aws-iso-[a-z]{1}|aws-us-gov):[A-Za-z0-9][A-Za-z0-9_/.-]{0,62}:([a-z]{2}-((iso[a-z]{0,1}-)|(gov-)){0,1}[a-z]+-[0-9]|):[0-9]{12}:[A-Za-z0-9/][A-Za-z0-9:_/+=,@.-]{0,1023}` 

 ** [listenerPorts](#API_GetApplication_ResponseSyntax) **   <a name="m2-GetApplication-response-listenerPorts"></a>
The port associated with the network load balancer listener created in your AWS account.  
Type: Array of integers  
Array Members: Minimum number of 1 item.

 ** [loadBalancerDnsName](#API_GetApplication_ResponseSyntax) **   <a name="m2-GetApplication-response-loadBalancerDnsName"></a>
The public DNS name of the load balancer created in your AWS account.  
Type: String  
Pattern: `\S{1,100}` 

 ** [logGroups](#API_GetApplication_ResponseSyntax) **   <a name="m2-GetApplication-response-logGroups"></a>
The list of log summaries. Each log summary includes the log type as well as the log group identifier. These are CloudWatch logs. AWS Mainframe Modernization pushes the application log to CloudWatch under the customer's account.  
Type: Array of [LogGroupSummary](API_LogGroupSummary.md) objects

 ** [name](#API_GetApplication_ResponseSyntax) **   <a name="m2-GetApplication-response-name"></a>
The unique identifier of the application.  
Type: String  
Pattern: `[A-Za-z0-9][A-Za-z0-9_\-]{1,59}` 

 ** [roleArn](#API_GetApplication_ResponseSyntax) **   <a name="m2-GetApplication-response-roleArn"></a>
The Amazon Resource Name (ARN) of the role associated with the application.  
Type: String  
Pattern: `arn:(aws|aws-cn|aws-iso|aws-iso-[a-z]{1}|aws-us-gov):[A-Za-z0-9][A-Za-z0-9_/.-]{0,62}:([a-z]{2}-((iso[a-z]{0,1}-)|(gov-)){0,1}[a-z]+-[0-9]|):[0-9]{12}:[A-Za-z0-9/][A-Za-z0-9:_/+=,@.-]{0,1023}` 

 ** [status](#API_GetApplication_ResponseSyntax) **   <a name="m2-GetApplication-response-status"></a>
The status of the application.  
Type: String  
Valid Values: `Creating | Created | Available | Ready | Starting | Running | Stopping | Stopped | Failed | Deleting | Deleting From Environment` 

 ** [statusReason](#API_GetApplication_ResponseSyntax) **   <a name="m2-GetApplication-response-statusReason"></a>
The reason for the reported status.  
Type: String

 ** [tags](#API_GetApplication_ResponseSyntax) **   <a name="m2-GetApplication-response-tags"></a>
A list of tags associated with the application.  
Type: String to string map  
Map Entries: Minimum number of 0 items. Maximum number of 200 items.  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Key Pattern: `(?!aws:).+`   
Value Length Constraints: Minimum length of 0. Maximum length of 256.

 ** [targetGroupArns](#API_GetApplication_ResponseSyntax) **   <a name="m2-GetApplication-response-targetGroupArns"></a>
Returns the Amazon Resource Names (ARNs) of the target groups that are attached to the network load balancer.  
Type: Array of strings  
Array Members: Minimum number of 1 item.  
Pattern: `arn:(aws|aws-cn|aws-iso|aws-iso-[a-z]{1}|aws-us-gov):[A-Za-z0-9][A-Za-z0-9_/.-]{0,62}:([a-z]{2}-((iso[a-z]{0,1}-)|(gov-)){0,1}[a-z]+-[0-9]|):[0-9]{12}:[A-Za-z0-9/][A-Za-z0-9:_/+=,@.-]{0,1023}` 

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The account or role doesn't have the right permissions to make the request.  
HTTP Status Code: 403

 ** InternalServerException **   
An unexpected error occurred during the processing of the request.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource was not found.    
 ** resourceId **   
The ID of the missing resource.  
 ** resourceType **   
The type of the missing resource.
HTTP Status Code: 404

 ** ThrottlingException **   
The number of requests made exceeds the limit.    
 ** quotaCode **   
The identifier of the throttled request.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.  
 ** serviceCode **   
The identifier of the service that the throttled request was made to.
HTTP Status Code: 429

 ** ValidationException **   
One or more parameters provided in the request is not valid.    
 ** fieldList **   
The list of fields that failed service validation.  
 ** reason **   
The reason why it failed service validation.
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/m2-2021-04-28/GetApplication) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/m2-2021-04-28/GetApplication) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/m2-2021-04-28/GetApplication) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/m2-2021-04-28/GetApplication) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/m2-2021-04-28/GetApplication) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/m2-2021-04-28/GetApplication) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/m2-2021-04-28/GetApplication) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/m2-2021-04-28/GetApplication) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/m2-2021-04-28/GetApplication) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/m2-2021-04-28/GetApplication) 

# GetApplicationVersion


**Important**  
 AWS Mainframe Modernization Service (Managed Runtime Environment experience) will no longer be open to new customers starting on November 7, 2025. If you would like to use the service, please sign up prior to November 7, 2025. For capabilities similar to AWS Mainframe Modernization Service (Managed Runtime Environment experience) explore AWS Mainframe Modernization Service (Self-Managed Experience). Existing customers can continue to use the service as normal. For more information, see [AWS Mainframe Modernization availability change](https://docs.aws.amazon.com/m2/latest/userguide/mainframe-modernization-availability-change.html).

Returns details about a specific version of a specific application.

## Request Syntax


```
GET /applications/applicationId/versions/applicationVersion HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [applicationId](#API_GetApplicationVersion_RequestSyntax) **   <a name="m2-GetApplicationVersion-request-uri-applicationId"></a>
The unique identifier of the application.  
Pattern: `\S{1,80}`   
Required: Yes

 ** [applicationVersion](#API_GetApplicationVersion_RequestSyntax) **   <a name="m2-GetApplicationVersion-request-uri-applicationVersion"></a>
The specific version of the application.  
Valid Range: Minimum value of 1.  
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "applicationVersion": number,
   "creationTime": number,
   "definitionContent": "string",
   "description": "string",
   "name": "string",
   "status": "string",
   "statusReason": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [applicationVersion](#API_GetApplicationVersion_ResponseSyntax) **   <a name="m2-GetApplicationVersion-response-applicationVersion"></a>
The specific version of the application.  
Type: Integer  
Valid Range: Minimum value of 1.

 ** [creationTime](#API_GetApplicationVersion_ResponseSyntax) **   <a name="m2-GetApplicationVersion-response-creationTime"></a>
The timestamp when the application version was created.  
Type: Timestamp

 ** [definitionContent](#API_GetApplicationVersion_ResponseSyntax) **   <a name="m2-GetApplicationVersion-response-definitionContent"></a>
The content of the application definition. This is a JSON object that contains the resource configuration and definitions that identify an application.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 65000.

 ** [description](#API_GetApplicationVersion_ResponseSyntax) **   <a name="m2-GetApplicationVersion-response-description"></a>
The application description.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 500.

 ** [name](#API_GetApplicationVersion_ResponseSyntax) **   <a name="m2-GetApplicationVersion-response-name"></a>
The name of the application version.  
Type: String  
Pattern: `[A-Za-z0-9][A-Za-z0-9_\-]{1,59}` 

 ** [status](#API_GetApplicationVersion_ResponseSyntax) **   <a name="m2-GetApplicationVersion-response-status"></a>
The status of the application version.  
Type: String  
Valid Values: `Creating | Available | Failed` 

 ** [statusReason](#API_GetApplicationVersion_ResponseSyntax) **   <a name="m2-GetApplicationVersion-response-statusReason"></a>
The reason for the reported status.  
Type: String

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The account or role doesn't have the right permissions to make the request.  
HTTP Status Code: 403

 ** InternalServerException **   
An unexpected error occurred during the processing of the request.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource was not found.    
 ** resourceId **   
The ID of the missing resource.  
 ** resourceType **   
The type of the missing resource.
HTTP Status Code: 404

 ** ThrottlingException **   
The number of requests made exceeds the limit.    
 ** quotaCode **   
The identifier of the throttled request.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.  
 ** serviceCode **   
The identifier of the service that the throttled request was made to.
HTTP Status Code: 429

 ** ValidationException **   
One or more parameters provided in the request is not valid.    
 ** fieldList **   
The list of fields that failed service validation.  
 ** reason **   
The reason why it failed service validation.
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/m2-2021-04-28/GetApplicationVersion) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/m2-2021-04-28/GetApplicationVersion) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/m2-2021-04-28/GetApplicationVersion) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/m2-2021-04-28/GetApplicationVersion) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/m2-2021-04-28/GetApplicationVersion) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/m2-2021-04-28/GetApplicationVersion) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/m2-2021-04-28/GetApplicationVersion) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/m2-2021-04-28/GetApplicationVersion) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/m2-2021-04-28/GetApplicationVersion) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/m2-2021-04-28/GetApplicationVersion) 

# GetBatchJobExecution


**Important**  
 AWS Mainframe Modernization Service (Managed Runtime Environment experience) will no longer be open to new customers starting on November 7, 2025. If you would like to use the service, please sign up prior to November 7, 2025. For capabilities similar to AWS Mainframe Modernization Service (Managed Runtime Environment experience) explore AWS Mainframe Modernization Service (Self-Managed Experience). Existing customers can continue to use the service as normal. For more information, see [AWS Mainframe Modernization availability change](https://docs.aws.amazon.com/m2/latest/userguide/mainframe-modernization-availability-change.html).

Gets the details of a specific batch job execution for a specific application.

## Request Syntax


```
GET /applications/applicationId/batch-job-executions/executionId HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [applicationId](#API_GetBatchJobExecution_RequestSyntax) **   <a name="m2-GetBatchJobExecution-request-uri-applicationId"></a>
The identifier of the application.  
Pattern: `\S{1,80}`   
Required: Yes

 ** [executionId](#API_GetBatchJobExecution_RequestSyntax) **   <a name="m2-GetBatchJobExecution-request-uri-executionId"></a>
The unique identifier of the batch job execution.  
Pattern: `\S{1,80}`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "applicationId": "string",
   "batchJobIdentifier": { ... },
   "endTime": number,
   "executionId": "string",
   "jobId": "string",
   "jobName": "string",
   "jobStepRestartMarker": { 
      "fromProcStep": "string",
      "fromStep": "string",
      "skip": boolean,
      "stepCheckpoint": number,
      "toProcStep": "string",
      "toStep": "string"
   },
   "jobType": "string",
   "jobUser": "string",
   "returnCode": "string",
   "startTime": number,
   "status": "string",
   "statusReason": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [applicationId](#API_GetBatchJobExecution_ResponseSyntax) **   <a name="m2-GetBatchJobExecution-response-applicationId"></a>
The identifier of the application.  
Type: String  
Pattern: `\S{1,80}` 

 ** [batchJobIdentifier](#API_GetBatchJobExecution_ResponseSyntax) **   <a name="m2-GetBatchJobExecution-response-batchJobIdentifier"></a>
The unique identifier of this batch job.  
Type: [BatchJobIdentifier](API_BatchJobIdentifier.md) object  
 **Note: **This object is a Union. Only one member of this object can be specified or returned.

 ** [endTime](#API_GetBatchJobExecution_ResponseSyntax) **   <a name="m2-GetBatchJobExecution-response-endTime"></a>
The timestamp when the batch job execution ended.  
Type: Timestamp

 ** [executionId](#API_GetBatchJobExecution_ResponseSyntax) **   <a name="m2-GetBatchJobExecution-response-executionId"></a>
The unique identifier for this batch job execution.  
Type: String  
Pattern: `\S{1,80}` 

 ** [jobId](#API_GetBatchJobExecution_ResponseSyntax) **   <a name="m2-GetBatchJobExecution-response-jobId"></a>
The unique identifier for this batch job.  
Type: String  
Pattern: `\S{1,100}` 

 ** [jobName](#API_GetBatchJobExecution_ResponseSyntax) **   <a name="m2-GetBatchJobExecution-response-jobName"></a>
The name of this batch job.  
Type: String  
Pattern: `\S{1,100}` 

 ** [jobStepRestartMarker](#API_GetBatchJobExecution_ResponseSyntax) **   <a name="m2-GetBatchJobExecution-response-jobStepRestartMarker"></a>
The step/procedure step information for the restart batch job operation.  
Type: [JobStepRestartMarker](API_JobStepRestartMarker.md) object

 ** [jobType](#API_GetBatchJobExecution_ResponseSyntax) **   <a name="m2-GetBatchJobExecution-response-jobType"></a>
The type of job.  
Type: String  
Valid Values: `VSE | JES2 | JES3` 

 ** [jobUser](#API_GetBatchJobExecution_ResponseSyntax) **   <a name="m2-GetBatchJobExecution-response-jobUser"></a>
The user for the job.  
Type: String  
Pattern: `\S{1,100}` 

 ** [returnCode](#API_GetBatchJobExecution_ResponseSyntax) **   <a name="m2-GetBatchJobExecution-response-returnCode"></a>
The batch job return code from either the Blu Age or Micro Focus runtime engines. For more information, see [Batch return codes](https://www.ibm.com/docs/en/was/8.5.5?topic=model-batch-return-codes) in the *IBM WebSphere Application Server* documentation.  
Type: String

 ** [startTime](#API_GetBatchJobExecution_ResponseSyntax) **   <a name="m2-GetBatchJobExecution-response-startTime"></a>
The timestamp when the batch job execution started.  
Type: Timestamp

 ** [status](#API_GetBatchJobExecution_ResponseSyntax) **   <a name="m2-GetBatchJobExecution-response-status"></a>
The status of the batch job execution.  
Type: String  
Valid Values: `Submitting | Holding | Dispatching | Running | Cancelling | Cancelled | Succeeded | Failed | Purged | Succeeded With Warning` 

 ** [statusReason](#API_GetBatchJobExecution_ResponseSyntax) **   <a name="m2-GetBatchJobExecution-response-statusReason"></a>
The reason for the reported status.  
Type: String

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The account or role doesn't have the right permissions to make the request.  
HTTP Status Code: 403

 ** InternalServerException **   
An unexpected error occurred during the processing of the request.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource was not found.    
 ** resourceId **   
The ID of the missing resource.  
 ** resourceType **   
The type of the missing resource.
HTTP Status Code: 404

 ** ThrottlingException **   
The number of requests made exceeds the limit.    
 ** quotaCode **   
The identifier of the throttled request.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.  
 ** serviceCode **   
The identifier of the service that the throttled request was made to.
HTTP Status Code: 429

 ** ValidationException **   
One or more parameters provided in the request is not valid.    
 ** fieldList **   
The list of fields that failed service validation.  
 ** reason **   
The reason why it failed service validation.
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/m2-2021-04-28/GetBatchJobExecution) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/m2-2021-04-28/GetBatchJobExecution) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/m2-2021-04-28/GetBatchJobExecution) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/m2-2021-04-28/GetBatchJobExecution) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/m2-2021-04-28/GetBatchJobExecution) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/m2-2021-04-28/GetBatchJobExecution) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/m2-2021-04-28/GetBatchJobExecution) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/m2-2021-04-28/GetBatchJobExecution) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/m2-2021-04-28/GetBatchJobExecution) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/m2-2021-04-28/GetBatchJobExecution) 

# GetDataSetDetails


**Important**  
 AWS Mainframe Modernization Service (Managed Runtime Environment experience) will no longer be open to new customers starting on November 7, 2025. If you would like to use the service, please sign up prior to November 7, 2025. For capabilities similar to AWS Mainframe Modernization Service (Managed Runtime Environment experience) explore AWS Mainframe Modernization Service (Self-Managed Experience). Existing customers can continue to use the service as normal. For more information, see [AWS Mainframe Modernization availability change](https://docs.aws.amazon.com/m2/latest/userguide/mainframe-modernization-availability-change.html).

Gets the details of a specific data set.

## Request Syntax


```
GET /applications/applicationId/datasets/dataSetName HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [applicationId](#API_GetDataSetDetails_RequestSyntax) **   <a name="m2-GetDataSetDetails-request-uri-applicationId"></a>
The unique identifier of the application that this data set is associated with.  
Pattern: `\S{1,80}`   
Required: Yes

 ** [dataSetName](#API_GetDataSetDetails_RequestSyntax) **   <a name="m2-GetDataSetDetails-request-uri-dataSetName"></a>
The name of the data set.  
Pattern: `\S{1,200}`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "blocksize": number,
   "creationTime": number,
   "dataSetName": "string",
   "dataSetOrg": { ... },
   "fileSize": number,
   "lastReferencedTime": number,
   "lastUpdatedTime": number,
   "location": "string",
   "recordLength": number
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [blocksize](#API_GetDataSetDetails_ResponseSyntax) **   <a name="m2-GetDataSetDetails-response-blocksize"></a>
The size of the block on disk.   
Type: Integer

 ** [creationTime](#API_GetDataSetDetails_ResponseSyntax) **   <a name="m2-GetDataSetDetails-response-creationTime"></a>
The timestamp when the data set was created.  
Type: Timestamp

 ** [dataSetName](#API_GetDataSetDetails_ResponseSyntax) **   <a name="m2-GetDataSetDetails-response-dataSetName"></a>
The name of the data set.  
Type: String  
Pattern: `\S{1,200}` 

 ** [dataSetOrg](#API_GetDataSetDetails_ResponseSyntax) **   <a name="m2-GetDataSetDetails-response-dataSetOrg"></a>
The type of data set. The only supported value is VSAM.  
Type: [DatasetDetailOrgAttributes](API_DatasetDetailOrgAttributes.md) object  
 **Note: **This object is a Union. Only one member of this object can be specified or returned.

 ** [fileSize](#API_GetDataSetDetails_ResponseSyntax) **   <a name="m2-GetDataSetDetails-response-fileSize"></a>
File size of the dataset.  
Type: Long

 ** [lastReferencedTime](#API_GetDataSetDetails_ResponseSyntax) **   <a name="m2-GetDataSetDetails-response-lastReferencedTime"></a>
The last time the data set was referenced.  
Type: Timestamp

 ** [lastUpdatedTime](#API_GetDataSetDetails_ResponseSyntax) **   <a name="m2-GetDataSetDetails-response-lastUpdatedTime"></a>
The last time the data set was updated.  
Type: Timestamp

 ** [location](#API_GetDataSetDetails_ResponseSyntax) **   <a name="m2-GetDataSetDetails-response-location"></a>
The location where the data set is stored.  
Type: String  
Pattern: `\S{1,2000}` 

 ** [recordLength](#API_GetDataSetDetails_ResponseSyntax) **   <a name="m2-GetDataSetDetails-response-recordLength"></a>
The length of records in the data set.  
Type: Integer

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The account or role doesn't have the right permissions to make the request.  
HTTP Status Code: 403

 ** ConflictException **   
The parameters provided in the request conflict with existing resources.    
 ** resourceId **   
The ID of the conflicting resource.  
 ** resourceType **   
The type of the conflicting resource.
HTTP Status Code: 409

 ** ExecutionTimeoutException **   
 AWS Mainframe Modernization Service (Managed Runtime Environment experience) will no longer be open to new customers starting on November 7, 2025. If you would like to use the service, please sign up prior to November 7, 2025. For capabilities similar to AWS Mainframe Modernization Service (Managed Runtime Environment experience) explore AWS Mainframe Modernization Service (Self-Managed Experience). Existing customers can continue to use the service as normal. For more information, see [AWS Mainframe Modernization availability change](https://docs.aws.amazon.com/m2/latest/userguide/mainframe-modernization-availability-change.html).
 Failed to connect to server, or didn’t receive response within expected time period.  
HTTP Status Code: 504

 ** InternalServerException **   
An unexpected error occurred during the processing of the request.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource was not found.    
 ** resourceId **   
The ID of the missing resource.  
 ** resourceType **   
The type of the missing resource.
HTTP Status Code: 404

 ** ServiceUnavailableException **   
 AWS Mainframe Modernization Service (Managed Runtime Environment experience) will no longer be open to new customers starting on November 7, 2025. If you would like to use the service, please sign up prior to November 7, 2025. For capabilities similar to AWS Mainframe Modernization Service (Managed Runtime Environment experience) explore AWS Mainframe Modernization Service (Self-Managed Experience). Existing customers can continue to use the service as normal. For more information, see [AWS Mainframe Modernization availability change](https://docs.aws.amazon.com/m2/latest/userguide/mainframe-modernization-availability-change.html).
Server cannot process the request at the moment.  
HTTP Status Code: 503

 ** ThrottlingException **   
The number of requests made exceeds the limit.    
 ** quotaCode **   
The identifier of the throttled request.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.  
 ** serviceCode **   
The identifier of the service that the throttled request was made to.
HTTP Status Code: 429

 ** ValidationException **   
One or more parameters provided in the request is not valid.    
 ** fieldList **   
The list of fields that failed service validation.  
 ** reason **   
The reason why it failed service validation.
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/m2-2021-04-28/GetDataSetDetails) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/m2-2021-04-28/GetDataSetDetails) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/m2-2021-04-28/GetDataSetDetails) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/m2-2021-04-28/GetDataSetDetails) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/m2-2021-04-28/GetDataSetDetails) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/m2-2021-04-28/GetDataSetDetails) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/m2-2021-04-28/GetDataSetDetails) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/m2-2021-04-28/GetDataSetDetails) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/m2-2021-04-28/GetDataSetDetails) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/m2-2021-04-28/GetDataSetDetails) 

# GetDataSetExportTask


**Important**  
 AWS Mainframe Modernization Service (Managed Runtime Environment experience) will no longer be open to new customers starting on November 7, 2025. If you would like to use the service, please sign up prior to November 7, 2025. For capabilities similar to AWS Mainframe Modernization Service (Managed Runtime Environment experience) explore AWS Mainframe Modernization Service (Self-Managed Experience). Existing customers can continue to use the service as normal. For more information, see [AWS Mainframe Modernization availability change](https://docs.aws.amazon.com/m2/latest/userguide/mainframe-modernization-availability-change.html).

Gets the status of a data set import task initiated with the [CreateDataSetExportTask](API_CreateDataSetExportTask.md) operation.

## Request Syntax


```
GET /applications/applicationId/dataset-export-tasks/taskId HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [applicationId](#API_GetDataSetExportTask_RequestSyntax) **   <a name="m2-GetDataSetExportTask-request-uri-applicationId"></a>
The application identifier.  
Pattern: `\S{1,80}`   
Required: Yes

 ** [taskId](#API_GetDataSetExportTask_RequestSyntax) **   <a name="m2-GetDataSetExportTask-request-uri-taskId"></a>
The task identifier returned by the [CreateDataSetExportTask](API_CreateDataSetExportTask.md) operation.  
Pattern: `\S{1,80}`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "kmsKeyArn": "string",
   "status": "string",
   "statusReason": "string",
   "summary": { 
      "failed": number,
      "inProgress": number,
      "pending": number,
      "succeeded": number,
      "total": number
   },
   "taskId": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [kmsKeyArn](#API_GetDataSetExportTask_ResponseSyntax) **   <a name="m2-GetDataSetExportTask-response-kmsKeyArn"></a>
The identifier of a customer managed key used for exported data set encryption.  
Type: String

 ** [status](#API_GetDataSetExportTask_ResponseSyntax) **   <a name="m2-GetDataSetExportTask-response-status"></a>
The status of the task.  
Type: String  
Valid Values: `Creating | Running | Completed | Failed` 

 ** [statusReason](#API_GetDataSetExportTask_ResponseSyntax) **   <a name="m2-GetDataSetExportTask-response-statusReason"></a>
If dataset export failed, the failure reason will show here.  
Type: String

 ** [summary](#API_GetDataSetExportTask_ResponseSyntax) **   <a name="m2-GetDataSetExportTask-response-summary"></a>
A summary of the status of the task.  
Type: [DataSetExportSummary](API_DataSetExportSummary.md) object

 ** [taskId](#API_GetDataSetExportTask_ResponseSyntax) **   <a name="m2-GetDataSetExportTask-response-taskId"></a>
The task identifier.  
Type: String  
Pattern: `\S{1,80}` 

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The account or role doesn't have the right permissions to make the request.  
HTTP Status Code: 403

 ** InternalServerException **   
An unexpected error occurred during the processing of the request.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource was not found.    
 ** resourceId **   
The ID of the missing resource.  
 ** resourceType **   
The type of the missing resource.
HTTP Status Code: 404

 ** ThrottlingException **   
The number of requests made exceeds the limit.    
 ** quotaCode **   
The identifier of the throttled request.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the request.  
 ** serviceCode **   
The identifier of the service that the throttled request was made to.
HTTP Status Code: 429

 ** ValidationException **   
One or more parameters provided in the request is not valid.    
 ** fieldList **   
The list of fields that failed service validation.  
 ** reason **   
The reason why it failed service validation.
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/m2-2021-04-28/GetDataSetExportTask) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/m2-2021-04-28/GetDataSetExportTask) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/m2-2021-04-28/GetDataSetExportTask) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/m2-2021-04-28/GetDataSetExportTask) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/m2-2021-04-28/GetDataSetExportTask) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/m2-2021-04-28/GetDataSetExportTask) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/m2-2021-04-28/GetDataSetExportTask) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/m2-2021-04-28/GetDataSetExportTask) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/m2-2021-04-28/GetDataSetExportTask) 
[...]
